---
# TODO
# https://blog.cloudflare.com/analysis-of-todays-centurylink-level-3-outage/
# https://radar.qrator.net/blog/as9304-leaking-8764-prefixes-through-as15412
# https://blog.cloudflare.com/analysis-of-todays-centurylink-level-3-outage/
# https://arstechnica.com/security/2017/04/russian-controlled-telecom-hijacks-financial-services-internet-traffic/
# https://torrentfreak.com/internet-backbone-provider-cogent-blocks-pirate-bay-and-other-pirate-sites-170209/
# http://www.capacitymedia.com/Article/3583645/News/African-SAFE-cable-maintenance-affects-operators.html
# http://www.consultingjulian.com/commentary/sea-me-we-4-outage-causes-disruption-to-oranlink
# ziggo storing: http://nos.nl/artikel/2052704-storing-ziggo-voorbij.html http://nos.nl/artikel/2052689-grote-internetstoring-bij-ziggo.html AS9143
# TMO-NL http://www.metronieuws.nl/digitaal/2015/08/provider-t-mobile-kampt-met-storing 
## http://corporate.comcast.com/comcast-voices/what-happened-with-your-internet-last-night-and-what-we-are-doing-about-it#.VW4XJGAD7cs.twitter
## comcast outage DNS
### https://au.news.yahoo.com/thewest/business/technology/a/26743362/?
# Holborn fire London,GB https://storify.com/LondonFire/holborn-fire
### http://www.theregister.co.uk/2015/04/01/holborn_fire_takes_out_chuncks_of_power_and_internet_across_london/
### The Brigade was called at 12:39pm on 1 April 2015 to a fire in the Kingsway cable tunnel.
# Google cloud services down: https://status.cloud.google.com/incident/compute/15045
# French DDOS: http://www.scmagazineuk.com/french-ddos-attacks-spike-after-terror-protest/article/393796/
# Oxalide: http://www.oxalide.com/2015/01/retour-sur-lincident-du-16-janvier/
# perth-sin cable cut: http://www.iinet.net.au/status/fault.php?id=3669107
# amsix renumber https://ams-ix.net/technical/renumber (13-17 oct 2014)
## belkin: https://isc.sans.edu/forums/diary/Belkin+Router+Apocalypse+heartbeat+belkin+com+outage+taking+routers+down/18779
# ** AAG Vietnam cable cut http://tuoitrenews.vn/business/22483/vietnams-internet-disrupted-again-by-2nd-cable-cut-in-2-months
# http://www.talkvietnam.com/2014/09/internet-connections-in-vietnam-back-to-normal-on-oct-6/
#  http://thenextweb.com/asia/2014/09/17/internet-speeds-across-southeast-asia-crash-yet-another-undersea-cable-breaks/
#  http://saigoneer.com/vietnam-news/2721-asia-america-gateway-cable-broken-again
# ** TW Cable disrupt
# ** 512k day (Aug 12 2014)
# bbc ddos http://www.bbc.co.uk/news/technology-17365416
# dodo-telstra: 
# east africa cable cuts:
## http://www.telegeography.com/products/commsupdate/articles/2012/03/14/djibouti-telecom-ti-sparkle-restore-global-internet-access-following-recent-triple-submarine-cables-outage/
## http://www.renesys.com/blog/2012/02/east-african-cable-breaks.shtml
# http://dyadis.cs.arizona.edu/projects/lsrl-events-from-2003-to-2009
# http://www.bbc.co.uk/news/science-environment-16701407
# http://news.cnet.com/8301-31322_3-57362437-256/anonymous-goes-nuclear-everybody-loses/
# http://www.washingtonpost.com/world/asia-pacific/kazakhstan-says-it-has-restored-order-in-oil-town-where-10-were-killed-in-riots/2011/12/17/gIQAz8v4zO_story.html
# Egypt / Libya / Syria (renesys)
# http://packetlife.net/blog/2011/mar/17/brief-history-notable-internet-disruptions/
# - http%3A%2F%2Fwww.renesys.com%2Ftech%2Fpresentations%2Fpdf%2F20thAnnualFIRST.pdf  7007
# http://www.merit.edu/mail.archives/nanog/1997-04/msg00444.html (7007)
## http://www.bgpmon.net/hijack-event-today-by-indosat/
# - Randy's presos at RIPE60 128/8
# - Conficker events
# - DNSSEC signing
# http://www.theregister.co.uk/2010/10/26/bredolab_botnet_takedown/
# outages wiki
# http://asert.arbornetworks.com/2010/12/the-internet-goes-to-war/
# https://www.pakistantoday.com.pk/2017/11/25/facebook-twitter-youtube-blacked-out-in-several-cities-as-protests-rage/
- name: "BELNET DDoS / CN"
  reference:
   - "https://www.theregister.com/2021/05/05/belnet_belgium_ddos/"
   - "https://ihr.iijlab.net/ihr/en-us/networks/AS2611?af=4&last=5&date=2021-05-07&hege_tb=dependent&hege_dt=2021-05-04%2006%3A15&rov_tb=routes"
- name: "Google outage in CZ,SK"
  date: "2016-11-22"
  starttime: "2016-11-22T18:00"
  endtime: "2016-11-22T21:00"
  refererence: 
   - "file:///Users/emile/work/events/2016/2016-11-22-googledown-cz/README.txt"
   - "http://techbrain.cz/2016/11/22/spolecnost-google-a-jeji-sluzby-postihl-masivni-vypadek-ktery-zasahl-ceskou-republiku/"
- name: "Level3 disruption"
  date: "2016-11-02"
  reference: "http://www.chicagotribune.com/bluesky/originals/ct-level-3-communications-outage-bsi-20161102-story.html"
- name: "OVH Mirai DDoS"
  date: "2016-09"
  reference: 
   - "http://securityaffairs.co/wordpress/51726/cyber-crime/ovh-hit-botnet-iot.html"
- name: "Mirai DDoS Dyn DNS service"
  date: "2016-10-21"
  reference:
   - "https://krebsonsecurity.com/2016/10/hacked-cameras-dvrs-powered-todays-massive-internet-outage/"
   - "https://krebsonsecurity.com/2016/10/ddos-on-dyn-impacts-twitter-spotify-reddit/"
- name: "Level3 phone services outage"
  date: "2016-10-04"
  reference:
   - "http://www.dailydot.com/layer8/phone-carrier-east-coast-down/"
- name: "AMS-IX partial outage (specific flow-tuples only)"
  date: 2016-09-27
  notes: "Job NTT sent msg around saying NTT stopped peering at AMS-IX due to this, suspected flow-based load balancing to be the issue (ie. some 5tuples didn't work, others did). peering lan traffic stats shows a (slight) drop around 15:00 local time"
- name: "Egypt taken off the Internet"
  tags: outage, Egypt
  start_time: 2011-01-27 22:00 UTC
  reference:
  - "http://stat.ripe.net/egypt"
  - "http://www.renesys.com/blog/2011/01/egypt-leaves-the-internet.shtml"
- name: "50GB DDoS DNSMadeEasy"
  tags: Dos, DDoS, attack
  start_time: 2010-08-07 5:37 CEST
  end_time: 2010-08-07 7:00 CEST
  reference:
   - "http://twitter.com/DNSMadeEasy/status/20548505230"
   - "http://isc.sans.edu/diary.html?storyid=9349"
   - "http://www.theregister.co.uk/2010/08/09/dns_service_monster_ddos/"
- name: "Outage DE-CIX"
  tags: IXP, outage
  start_time: 2010-06-08 9:30 CEST
  end_time: 2010-06-08 10:52 CEST
  comment: "times taken from a Hertzner outage-email (hertzner.de)"
  reference:
    - "http://www.merit.edu/mail.archives/nanog/msg09617.html"
- name: "Three Cables Cut in Mediteranean Sea"
  tags: cablecut
  start_time: "2008-12-19 7:28 MEST"
  reference:
   - "http://www.orange.com/en_EN/press/press_releases/cp081219en.html"
- name: "Sprint and Cogent depeering"
  tags: depeering
  start_time: "2008-10-31 20:00 UTC"
  end_time: "2008-11-02 21:00 UTC"
  reference: 
    - "http://www.renesys.com/blog/2008/10/wrestling-with-the-zombie-spri.shtml"
    - "http://www.renesys.com/blog/2008/11/sprint-and-cogent-repeerfor-no.shtml"
- name: "Telia and Cogent depeering"
  tags: depeering
  start_time: "2008-03-13 22:03 UTC"
  end_time: "2008-03-28 17:52 UTC"
  reference:
   - http://www.renesys.com/blog/2008/03/you_cant_get_there_from_here_1.shtml
   - http://www.renesys.com/blog/2008/03/telia_and_cogent_kiss_and_make_1.shtml
- name: "Point-and-click exploit for Kaminsky DNS vulnerability released"
  tags: dns, exploit
  event_time: 2008-07-23
  reference: http://www.caughq.org/exploits/CAU-EX-2008-0002.txt
- name: "Kaminsky DNS vulnerability accidentally leaked"
  tags: dns
  event_time: 2008-07-21
  reference: http://blog.invisibledenizen.org/2008/07/kaminskys-dns-issue-accidentally-leaked.html
- name: "Massive Multivendor DNS patch, due to Kaminsky DNS vulnerability"
  tags: dns
  event_time: 2008-07-08
  reference: http://www.kb.cert.org/vuls/id/800113
- name: "Sweden accepts snooping law"
  event_time: 2008-06
  reference: 
   - http://www.thelocal.se/12922/20080709/
   - http://torrentfreak.com/swedes-massively-protest-wiretap-law-080707/
- name: "ICANN and IANA Domains Hijacked"
  tags: dns
  start_time: 2008-06-26
  duration: 20m
  reference: http://isc.sans.org/diary.html?storyid=4637
- name: "Tiger woods streaming TCP/1935 (US open)"
  start_time: "2008-06-16 09:00 PDT" 
  end_time: "2008-06-16 14:00 PDT" 
  reference: http://asert.arbornetworks.com/2008/06/the-tiger-effect/
- name: Firefox3 download day
  reference: http://www.spreadfirefox.com/en-US/worldrecord/
  start_time: "2008-06-17 10:00 PDT"
  end_time: "2008-06-18 10:00 PDT"
- name: "Youtube block in Pakistan"
  tags: routing
  reference: 
   - http://en.wikipedia.org/wiki/YouTube
   - http://www.rsf.org/article.php3?id_article=25889
  start_time: 2008-02-23
  end_time: 2008-02-26
- name: Cable cut FLAG Europe Asia
  tags: cablecut
  reference: http://blog.wired.com/27bstroke6/2008/01/fiber-optic-cab.html
  start_time: 2008-01
- name: Cable cut SEA-ME-WE-4
  tags: cablecut
  reference: http://blog.wired.com/27bstroke6/2008/01/fiber-optic-cab.html
  start_time: 2008-01
- name: Cable cut Taiwan
  tags: cablecut
  reference: http://blog.wired.com/27bstroke6/2008/01/fiber-optic-cab.html
  start_time: 2006-12
- name: DNS Backbone DDoS (2002)
  tags: dns, attack
  start_time: 2002-10-21
  duration: 1 hours
  reference: http://en.wikipedia.org/wiki/2002_DNS_Backbone_DDoS
- name: DNS Backbone DDos (2007)
  tags: dns, attack
  start_time: "2007-02-06 10:30 UTC"
  duration: 5 hours
- name: "US East Coast power failure"
  start_time: 2003-08-14 14:00 MST
  reference: http://www.internettrafficreport.com/event/4.htm
- name: SQL Slammer worm
  start_time: 2003-01-24
  reference: http://www.internettrafficreport.com/event/3.htm
- name: Backbone DDoS
  start_time: 2002-10-22
  reference: http://www.internettrafficreport.com/event/2.htm
- name: "UUNet/Worldcom backbone routing difficulties"
  tags: routing
  start_time: 2002-03-10
  duration: hours
  reference: http://www.internettrafficreport.com/event/1.htm
- name: "Brazil power failure"
  start_time: 2009-11-10 22:20 BRST
  reference: http://www.renesys.com/blog/2009/11/lights-out-in-rio.shtml
